/* Copyright (c) 2018 -- 2022
   Charles Jordan (Hokkaido University, Sapporo, Japan),
   Michael Joswig, Lars Kastner (Technische Universitaet Berlin, Germany)

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3, or (at your option) any
   later version: http://www.gnu.org/licenses/gpl.txt.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
-----------------------------------------------------------------------------
*/

#include "CommandlineOptions.hh"
#include "ComputeTriangs.hh"
#include "helpers.hh"
#include "version.hh"

std::string get_mptopcom_version() {
   std::string result("mptopcom ");
   result += std::string(MPTOPCOM_VERSION_STRING);
   return result;
}

int main(const int argc, const char** argv) {
  std::cerr << get_mptopcom_version() << std::endl;
  CommandlineOptions::init(argc, argv);
  if(CommandlineOptions::print_version()){
     return 0;
  }
  return (ComputeTriangs::run(OUTPUT_TRIANGS + MPTRY));
}
